Page MenuHomePhabricator

1.31.0-wmf.11 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.11
Release Date
1512345600

2017 week 49 1.31-wmf.11 Changes wmf/1.31.0-wmf.11

This MediaWiki Train Deployment is scheduled for the week of Monday, December 4th:

Monday December 4thTuesday, December 5thWednesday, December 6thThursday, December 7thFriday
SWAT deployments only.Branch wmf.11 and deploy to Group 0 Wikis.Deploy wmf.11 to Group 1 Wikis.Deploy wmf.11 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.11 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.10
Next: 1.31.0-wmf.12

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2017, 3:42 PM
mmodell changed Release Date from 1511136000 to 1511146000.Nov 10 2017, 3:44 PM
mmodell changed Release Date from 1511146000 to 1510531200.Nov 10 2017, 4:01 PM
mmodell changed Release Date from 1510531200 to 1512345600.Nov 10 2017, 4:15 PM
greg triaged this task as Medium priority.Nov 16 2017, 10:34 PM

Added T182176 as a blocker as it could easily cause things to explode, all this needs is a couple of merges in operations-puppet to get the paths of the scripts right.

demon closed this task as Resolved.Jan 8 2018, 8:28 PM
demon claimed this task.